Package Details: dynalist-desktop 1.0.6-2

Git Clone URL: https://aur.archlinux.org/dynalist-desktop.git (read-only, click to copy)
Package Base: dynalist-desktop
Description: Dynalist lets you organize your ideas and tasks in simple lists. It's powerful, yet easy to use.
Upstream URL: https://dynalist.io
Keywords: bullets, collapsible, notes, outline tree,
Licenses: Private
Provides: dynalist
Submitter: bramswenson
Maintainer: jhrdka
Last Packager: jhrdka
Votes: 8
Popularity: 0.000012
First Submitted: 2017-05-29 17:46 (UTC)
Last Updated: 2022-02-08 10:15 (UTC)

Dependencies (2)

Required by (0)

Sources (3)

Latest Comments

1 2 3 Next › Last »

jhrdka commented on 2022-02-08 10:06 (UTC)

Package updated to 1.0.6, should build correctly again. Sorry for the delay.

watdryhope commented on 2022-01-25 13:45 (UTC)

n00b here. tried to fix the pkgbuild but i couldn't make it work. thanks to @gochim for trying. It would be great if this package could be updated so it could install properly.

Gochim commented on 2022-01-15 08:54 (UTC)

@jhrdka - could you update the package?

Gochim commented on 2022-01-15 08:53 (UTC)

Ok, managed to make it work.

Plan is as follows: - Try to build for the first time. You will fail. - Find the package files (var/tmp/...) - Update package file itself.

Change pkgver to: pkgver=1.0.6

Set hash for source code archive (sha512sums value in config) to: 87728a3b8bfebbc1880aee9dff69416ed1ba0a9606be5ba18404c5f5fedb2bcd94fed3311aa1344092eafca04b6b11b2e740794e11936eecf5e0fa402b734513

Omg this shouldn't be that weird :)

Gochim commented on 2022-01-15 08:42 (UTC)

Does not work.

"One or more files did not pass the validity check!"

Some pieces of logs: "Making package: dynalist-desktop 1.0.5-2 (Sat 15 Jan 2022 10:38:38 EET)

Validating source files with sha512sums... dynalist.tar.gz ... FAILED dynalist.desktop ... Passed icon.png ... Passed"

E3LDDfrK commented on 2020-03-11 02:43 (UTC)

@jhrdka I understand. Then just do as you do it now. Thanks for the work.

jhrdka commented on 2020-03-07 20:36 (UTC)

There are two parts of the application: The webapp wrapper and the webapp itself. The wrapper (the tarball downloaded in this PKGBUILD) wasn't updated for several years and is labelled with version 1.0.5. This is the number I use because this is the number relevant for creating new versions of this package.

The webapp that runs inside the wrapper gets updated automatically, is saved in the user profile and is independent on the version of the runner. The current version is indeed 1.3.3, but when 1.3.4 comes up, there is no need to update this package with the webapp wrapper.

@E3LDDfrK Are you OK with my decision to use the version number from the downloaded tarball or would you prefer to use 1.3.3 even though there is in fact no code of Dynalist 1.3.3 in the package?

E3LDDfrK commented on 2020-03-03 13:16 (UTC)

@jhrdka The version of desktop dynalist is 1.3.3.

jhrdka commented on 2020-03-03 06:35 (UTC)

Symbolic link fixed. Thanks for reporting, sorry for the delay.